Delete a team
Remove an existing team.
Succeeds only if the team has no associated Escalation Policies, Services, Schedules and Subteams.
All associated unresovled incidents will be reassigned to another team (if specified) or will loose team association, thus becoming account-level (with visibility implications).
Note that the incidents reassignment process is asynchronous and has no guarantee to complete before the API call return.
A team is a collection of Users and Escalation Policies that represent a group of people within an organization.
For more information see the API Concepts Document
Scoped OAuth requires: teams.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Query Parameters
Team to reassign unresolved incident to. If an unresolved incident exists on both the reassignment team and the team being deleted, a duplicate will not be made. If not supplied, unresolved incidents will be made account-level.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
Remove a user from a team DELETE
Remove a user from a team. A team is a collection of Users and Escalation Policies that represent a group of people within an organization. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#teams) Scoped OAuth requires: `teams.write`
List Team Notification Subscriptions GET
Retrieve a list of Notification Subscriptions the given Team has. <!-- theme: warning --> > Teams must be added through `POST /teams/{id}/notification_subscriptions` to be returned from this endpoint. Scoped OAuth requires: `subscribers.read`